elk (3.99.8-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:11:15 +0000

elk (3.99.8-6) unstable; urgency=medium

  * QA upload.
  * Fix Breaks+Replaces for the 64-bit time_t transition.  (Closes: #1065126)
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 16:08:09 +0100

elk (3.99.8-5) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to v13.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/patches/0005-include-kernel.h-Include-missing-string.h: Add patch
    to fix FTBFS due to using strlen without including string.h.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libelk0t64, libelk0-dev: Add Multi-Arch: same.+ elkdoc: Add Multi-Arch:
      foreign.
  * Orphan package - see bug 1011569.
  * Remove constraints unnecessary since buster (oldstable):
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Conflicts.
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Replaces.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Conflicts.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Replaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Feb 2024 10:55:07 -0500

elk (3.99.8-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062536

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 03:37:48 +0000

elk (3.99.8-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Inject package into Salsa
  * Fix linking with library (thanks for the patch to Juhani Numminen
    <juhaninumminen0@gmail.com>)
    Closes: #906353
  * Add Homepage
  * Add watch file
  * Verified that links are not broken in latest build
    Closes: #715078

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 09:08:44 +0200

elk (3.99.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude test that is known to fail on i386
    Closes: #798322
  * libeld-dev Depends: libelk0 (= ${binary:Version})
    Closes: #825585

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 09:17:06 +0200

elk (3.99.8-4) unstable; urgency=medium

  * Acknowledge the old 3.99.8-2.1 NMU that I accidentally removed
    (Closes: #786368).

 -- Sam Hocevar <sho@debian.org>  Sun, 28 Jun 2015 13:30:05 +0200

elk (3.99.8-3) unstable; urgency=medium

  * Switch to debhelper 9 so that we automatically get hardening flags,
    as well as build-arch and build-indep targets (Closes: #648293).
  * Use dh-autoreconf to fix builds on some platforms (Closes: #733085).
  * Build-depend on libelf-dev instead of libelf0g-dev (Closes: #769430).

  * 100_multiarch.diff: new patch; add multiarch support (Closes: #723298).
  * 200_64-bit-support.diff: new patch; add 64-bit support.
  * 210_hurd.diff: new patch, courtesy of Cyril Roelandt; fix Hurd
    support by not using MAXHOSTNAMELEN (Closes: #672513).


 -- Sam Hocevar <sho@debian.org>  Mon, 04 May 2015 21:25:06 +0200

elk (3.99.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714658).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 11:56:24 +0200

elk (3.99.8-2) unstable; urgency=low

  * debian/rules: fix a dh_clean that should really be dh_prep.

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 02:40:55 +0200

elk (3.99.8-1) unstable; urgency=low

  * New upstream release, with newer config.guess and config.sub
    (Closes: #550156).
  * debian/rules: empty dependency_libs in .la files (Closes: #621290). The
    .la files are still necessary for plugin loading.
  * debian/compat: set compat level to 8.
  * debian/prerm: remove now useless prerm fixup.

 -- Sam Hocevar <sho@debian.org>  Sat, 18 Jun 2011 13:49:45 +0200

elk (3.99.7-1) unstable; urgency=low

  * New upstream release.

  * Upstream fixed the build with Xorg 7.0 (Closes: #373572).

  * debian/control:
    + Build-depend on lesstif2-dev instead of lesstif-dev.
    + Build-depend on debhelper (>= 4.0).
    + Set policy to 3.7.2.
  * debian/compat:
    + Set compatibility level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Mar 2006 14:20:10 +0100

elk (3.99.6-4) unstable; urgency=low

  * src/cont.c:
    + Workaround for an amd64 gcc ICE, thanks to Kurt Roeckx (Closes: #308188).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Nov 2005 19:49:42 +0100

elk (3.99.6-3) unstable; urgency=low

  * debian/control:
    + Build-depend on the new X development packages instead of xlibs-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 14 Mar 2004 13:09:32 +0100

elk (3.99.6-2) unstable; urgency=low

  * debian/control:
    + Switched back to libelfg0-dev because libelf1-dev was removed from
      unstable (Closes: #225656).
  * debian/rules:
    + Added touch calls to avoid build failures due to clock skews.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 31 Dec 2003 18:24:21 +0100

elk (3.99.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Dec 2003 13:35:10 +0100

elk (3.99.5-3) unstable; urgency=low

  * debian/control:
    + Switched to libelf1-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 13 Oct 2003 02:05:48 +0200

elk (3.99.5-2) unstable; urgency=low

  * debian/control:
    + Added libelfg0-dev and xlibs-dev to the -dev package's dependencies.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 10 Oct 2003 14:35:06 +0200

elk (3.99.5-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 28 Sep 2003 14:52:11 +0200

elk (3.99.3-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 15 Sep 2003 13:45:17 +0200

elk (3.99.2-1) unstable; urgency=low

  * New upstream release.
  * Documentation is now built instead of being shipped in the tarball.
  * Fixed a bug in the garbage collector.
  * debian/rules:
    + Moved manpages to /usr/share/man (Closes: #210894).
    + Ignore plugins in the dh_makeshlibs call.
    + Removed the elk->scheme-elk link, it is done at make install time.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 13 Sep 2003 08:33:15 +0200

elk (3.99.1-1) unstable; urgency=low

  * New release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  6 Sep 2003 13:36:54 +0200

elk (3.99.0-1) unstable; urgency=low

  * New release.
  * elk is now split into the library and the interpreter.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  3 Sep 2003 01:38:09 +0200

elk (3.0-16) unstable; urgency=low

  * **/build: Use gcc to link shared objects instead of ld, because gcc does
    a lot of additional magic. Fixes the __canonicalize_funcptr_for_compare
    unresolved symbol on HPPA (Closes: #205645).
  * src/build: Make the build continue if debian/arch-config is not found.
  * debian/compat: Use this instead of DH_COMPAT.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 20 Aug 2003 11:34:24 +0200

elk (3.0-15) unstable; urgency=low

  * In math.c:Exact_Modulo(), follow R5RS's definition of Modulo: if x/y is an
    integer, return Zero (Closes: #197831).
  * Made /usr/bin/elk a symlink to /usr/bin/scheme-elk.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 18 Jun 2003 01:42:54 +0200

elk (3.0-14) unstable; urgency=low

  * Rebuilt package against libgdbm's new version.
  * Set policy to 3.5.10.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  4 Jun 2003 02:42:08 +0200

elk (3.0-13) unstable; urgency=low

  * Fixed gcc-3.3 compilation errors due to deprecated usage of <varargs.h>.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 May 2003 17:04:56 +0200

elk (3.0-12) unstable; urgency=low

  * Fixed generation of /usr/lib/elk/module.a (needed to build sced).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  5 Apr 2003 01:45:26 +0200

elk (3.0-11) unstable; urgency=low

  * Fixed a compilation issue in src/load-dl.c:Load_Lib().
  * Fixed more pointer/integer type confusions, used ptrdiff_t where possible.
  * Fixed a register mangling issue in heap.c:Visit_GC_List() and
    heap.c:Visit_Wind() (Really fixes #59893).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 Apr 2003 02:48:29 +0200

elk (3.0-10) unstable; urgency=low

  * Updated debhelper build dependency to >>3.0.0.
  * Shared library handling:
    + Extended load.c:General_Load() to open shared libraries.
    + Makefiles now build shared libraries.
    + Stopped distributing .o files and replaced them with the .so shared
      libraries; built the Unix, X11, Xaw and Motif extensions.
    + The interpreter is no longer linked with -lgdbm, gdbm.so is instead.
  * Replaced standalone.o and module.o with their .a equivalents.
  * Made the 'debian/arch-config' sourcing errors non-fatal so that make
    distclean works in the src/ directory.
  * Changed SCM_DIR again, from /usr/share/elk/scm to /usr/share/elk, and
    ditto with OBJ_DIR, from /usr/lib/elk/obj to /usr/lib/elk.
  * Defaulted "garbage-collect-notify?" and "autoload-notify?" to #f.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  1 Apr 2003 23:34:26 +0200

elk (3.0-9) unstable; urgency=low

  * New maintainer.
  * Packaging updates:
    + Fixed spelling in the package description (Closes: #161056).
    + Updated standards version to 3.5.9.0.
    + Changed SCM_DIR from /usr/lib/elk/scm to /usr/share/elk/scm because
      scheme scripts are platform-independent.
  * Massive code cleanups:
    + Added -Wall to the build rules to make error spotting easier, and fixed
      all compilation warnings in the main program.
    + Replaced sys_errlist with strerror, bcopy with memcpy, bzero with memset.
    + Fixed many uninitialized variables.
  * Fixed some pointer/integer type confusions which caused elk to crash
    on alpha (Closes: #59893) and probably ia64.
  * Fixed a read overflow in heap-gen.c:AllocPage() that was corrupting the
    internal heap (Closes: #57621).
  * Fixed a missing memory area initialization in heap-gen.c:ExpandHeap() that
    was causing garbage collector crashes.
  * Fixed an integer sign issue in main.c:Max_Stack (Closes: #176190).
  * Made `quit' an alias for `exit' in toplevel.scm.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  1 Apr 2003 11:33:23 +0200

elk (3.0-8.1) unstable; urgency=low

  * NMU.
  * Added missing build dependencies (closes: #109854, #116532).
  * Fix menu item (closes: #121004).
  * Apply patch to make package lintian clean (closes: #126987).
  * src/build: include debian/arch-config to specify build flags for
    the alpha (-O0). May fix #59893.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jan 2002 18:12:44 +0100

elk (3.0-8) unstable; urgency=low

  * documentation moved to /usr/share/doc (Closes: Bug#91451, Bug#91453)
  * manpages moved to /usr/share/man (Closes: Bug#91148)
  * elkdoc moved to section doc (Closes: Bug#35701)
  * Updated to current policy (Closes: Bug#82811)
  * Added Build-Depends line (Closes: Bug#70820)
  * link to libgdbmg1 (Closes: Bug#75710, Bug#65457)

 -- Enrique Zanardi <ezanard@debian.org>  Mon, 26 Mar 2001 21:14:03 +0100

elk (3.0-7) frozen; urgency=high

  * Just recompiled. If someone builds a program that links to elk 3.0-6
    and libc6 2.1.3 (potato version) it segfaults on start.
    The version of sced that fixes RC bug #62971 depends on this version
    of elk!

 -- Enrique Zanardi <ezanard@debian.org>  Sat, 13 May 2000 13:06:01 +0100

elk (3.0-6) frozen; urgency=low

  * Don't strip modules. Bug#23772 wasn't fixed by the previous upload.
    (Closes Bug#23772).

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 28 Oct 1998 20:09:58 +0000

elk (3.0-5) frozen; urgency=low

  * Renamed /usr/bin/scheme to /usr/bin/scheme-elk. /usr/bin/scheme is
    now managed via update-alternatives. (Closes Bug#25295).
  * Use --strip-unneeded for the modules. (Closes Bug#23772, Bug#26061).
  * Moved /usr/bin/ldflags-elk to /usr/lib/elk/ldflags. (Closes Bug#26059).

 -- Enrique Zanardi <ezanard@debian.org>  Tue, 27 Oct 1998 14:16:42 +0000

elk (3.0-4) frozen; urgency=low

  * Added copyright file in elkdoc. (Closes Bug#19298).
  * Stripped obj files.
  * Updated policy version.
  * Added !/bin/sh in ldflags-elk.
  * Added usr/lib/elk/scm/elk.ini to use slib with Elk.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon, 16 Mar 1998 12:47:07 +0000

elk (3.0-3) unstable; urgency=low

  * Removed hardcoded Architecture: i386. (Closes Bug#13618).

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sun, 25 Jan 1998 04:02:45 +0000

elk (3.0-2) unstable; urgency=low

  * Rebuilt with libc6
  * Provide manpages for ldflags-elk, makedl and linkscheme (Bug#6280)
  * Renamed changelog.upstream.gz changelog.gz
  * Pristine sources

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 27 Sep 1997 01:26:21 +0100

elk (3.0-1) unstable; urgency=low

  * Initial release

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Wed, 30 Oct 1996 13:05:48 +0000
